## zaqar 12.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

alembic>=0.9.6 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
cryptography>=2.7 # BSD/Apache-2.0
falcon>=1.1.0 # Apache-2.0
jsonschema>=3.2.0 # MIT
iso8601>=0.1.11 # MIT
keystonemiddleware>=4.17.0 # Apache-2.0
msgpack>=1.0.0 # Apache-2.0
python-memcached>=1.56 # PSF
python-swiftclient>=3.2.0 # Apache-2.0
WebOb>=1.7.1 # MIT
stevedore>=1.20.0 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=6.0.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.policy>=3.6.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.3.19 # MIT
autobahn>=20.7.1 # MIT License
requests>=2.25.0 # Apache-2.0
futurist>=1.2.0 # Apache-2.0

=== debian/changelog ===
zaqar (12.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 12:27:47 +0000

zaqar (12.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 12.x series and fix tarball path.
  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Apr 2021 13:15:53 -0400

zaqar (11.0.0+git2021012713.656b9373-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-py38-failure.patch: Refreshed.
  * d/p/revert-msgpack-unpackb.patch: Removed because we now have the newer
    msgpack in distro.
  * d/rules: Manually derive PBR version.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 28 Jan 2021 07:34:18 +0000

=== debian/control ===
Source: zaqar
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic,
 python3-alembic (>= 0.9.6),
 python3-autobahn (>= 17.10.1),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.7),
 python3-ddt (>= 1.0.1),
 python3-falcon (>= 1.1.0),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-hacking,
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneclient,
 python3-keystonemiddleware (>= 4.17.0),
 python3-memcache (>= 1.56),
 python3-mock (>= 2.0.0),
 python3-msgpack (>= 1.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-pygments (>= 2.2.0),
 python3-pymongo (>= 3.6.0),
 python3-pymysql (>= 0.8.0),
 python3-redis (>= 3.0.0),
 python3-requests (>= 2.25.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sqlalchemy (>= 1.3.19),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-websocket (>= 0.44.0),
 subunit,
 tempest,
Standards-Version: 4.5.0
Rules-Requires-Root: binary-targets
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/zaqar
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/zaqar
Homepage: https://github.com/openstack/zaqar/
Testsuite: autopkgtest-pkg-python

Package: python3-zaqar
Section: python
Architecture: all
Depends:
 alembic,
 python3-alembic (>= 0.9.6),
 python3-autobahn (>= 17.10.1),
 python3-babel (>= 2.3.4),
 python3-cryptography (>= 2.7),
 python3-falcon (>= 1.1.0),
 python3-futurist (>= 1.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneclient,
 python3-keystonemiddleware (>= 4.17.0),
 python3-memcache (>= 1.56),
 python3-msgpack (>= 1.0.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 1.4.0),
 python3-pbr (>= 2.0.0),
 python3-pymongo,
 python3-requests (>= 2.25.0),
 python3-sqlalchemy (>= 1.3.19),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Queueing as a Service - Python libraries
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains the Python libraries that are part of Zaqar.

Package: zaqar-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-zaqar (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
Description: OpenStack Queueing as a Service - common files
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Zaqar.

Package: zaqar-server
Architecture: all
Depends:
 adduser,
 debconf,
 q-text-as-data,
 zaqar-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Queueing as a Service - API server
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains the API server on which clients will connect.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/zaqar/ zaqar-(12\.\d.*)\.tar\.gz

## zaqar 13.0.0

=== debian/changelog ===
zaqar (13.0.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 07 Oct 2021 10:35:48 +0000

zaqar (13.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 13.x series and fix tarball path.
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 13:08:51 -0400

zaqar (12.0.0+git2021090911.c7d9976e-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 11:06:16 -0400

zaqar (12.0.0+git2021061406.6e6deabc-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 14 Jun 2021 07:22:46 +0000

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  python3-iso8601 (>= 0.1.11),
  python3-jsonschema (>= 3.2.0),
  python3-keystoneclient,
- python3-keystonemiddleware (>= 4.17.0),
+ python3-keystonemiddleware (>= 9.1.0),
  python3-memcache (>= 1.56),
  python3-mock (>= 2.0.0),
  python3-msgpack (>= 1.0.0),
@@ -39,7 +39,7 @@
  python3-oslo.cache (>= 1.26.0),
  python3-oslo.config (>= 1:6.8.0),
  python3-oslo.context (>= 1:2.19.2),
- python3-oslo.db (>= 6.0.0),
+ python3-oslo.db (>= 8.4.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
@@ -59,7 +59,7 @@
  python3-sqlalchemy (>= 1.3.19),
  python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:1.20.0),
- python3-swiftclient (>= 1:3.2.0),
+ python3-swiftclient (>= 1:3.10.1),
  python3-testresources (>= 2.0.0),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
@@ -88,13 +88,13 @@
  python3-iso8601 (>= 0.1.11),
  python3-jsonschema (>= 3.2.0),
  python3-keystoneclient,
- python3-keystonemiddleware (>= 4.17.0),
+ python3-keystonemiddleware (>= 9.1.0),
  python3-memcache (>= 1.56),
  python3-msgpack (>= 1.0.0),
  python3-oslo.cache (>= 1.26.0),
  python3-oslo.config (>= 1:6.8.0),
  python3-oslo.context (>= 1:2.19.2),
- python3-oslo.db (>= 6.0.0),
+ python3-oslo.db (>= 8.4.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
@@ -109,7 +109,7 @@
  python3-requests (>= 2.25.0),
  python3-sqlalchemy (>= 1.3.19),
  python3-stevedore (>= 1:1.20.0),
- python3-swiftclient (>= 1:3.2.0),
+ python3-swiftclient (>= 1:3.10.1),
  python3-webob (>= 1:1.7.1),
  ${misc:Depends},
  ${python3:Depends},

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/zaqar/ zaqar-(13\.\d.*)\.tar\.gz

## zaqar 14.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,19 +6,19 @@
 alembic>=0.9.6 # MIT
 Babel!=2.4.0,>=2.3.4 # BSD
 cryptography>=2.7 # BSD/Apache-2.0
-falcon>=1.1.0 # Apache-2.0
+falcon>=3.0.0 # Apache-2.0
 jsonschema>=3.2.0 # MIT
 iso8601>=0.1.11 # MIT
-keystonemiddleware>=4.17.0 # Apache-2.0
+keystonemiddleware>=9.1.0 # Apache-2.0
 msgpack>=1.0.0 # Apache-2.0
 python-memcached>=1.56 # PSF
-python-swiftclient>=3.2.0 # Apache-2.0
+python-swiftclient>=3.10.1 # Apache-2.0
 WebOb>=1.7.1 # MIT
 stevedore>=1.20.0 # Apache-2.0
 oslo.cache>=1.26.0 # Apache-2.0
 oslo.config>=6.8.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
-oslo.db>=6.0.0 # Apache-2.0
+oslo.db>=8.4.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.messaging>=5.29.0 # Apache-2.0

=== debian/changelog ===
zaqar (14.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 14.x series and fix tarball path.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 08:29:53 -0400

zaqar (13.0.0+git2022011310.1726ac41-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Jan 2022 10:05:03 -0500

zaqar (13.0.0+git2021120910.a7593240-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 10:39:32 -0500

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools,
  po-debconf,
  python3-all,
  python3-pbr (>= 2.0.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/zaqar/ zaqar-(14\.\d.*)\.tar\.gz

## zaqar 15.0.0

=== requirements.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 python-memcached>=1.56 # PSF
 python-swiftclient>=3.10.1 # Apache-2.0
 WebOb>=1.7.1 # MIT
-stevedore>=1.20.0 # Apache-2.0
+stevedore>=3.2.2 # Apache-2.0
 oslo.cache>=1.26.0 # Apache-2.0
 oslo.config>=6.8.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
@@ -29,6 +29,6 @@
 oslo.policy>=3.6.0 # Apache-2.0
 osprofiler>=1.4.0 # Apache-2.0
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.3.19 # MIT
-autobahn>=20.7.1 # MIT License
+autobahn>=22.3.2 # MIT License
 requests>=2.25.0 # Apache-2.0
 futurist>=1.2.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
reno>=3.1.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
pymongo>=3.6.0 # Apache-2.0
redis>=2.10.0 # MIT

=== debian/changelog ===
zaqar (15.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 11:21:30 +0200

zaqar (15.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Sep 2022 04:19:11 +0200

zaqar (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased finished-fixing-upstream-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 14:56:19 +0200

zaqar (14.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 22:50:09 +0200

zaqar (14.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Mar 2022 19:41:15 +0200

zaqar (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 21:08:19 +0100

zaqar (13.0.0-3) unstable; urgency=medium

  * Add missing python3-pymongo runtime depends. (Closes: #966075).

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Dec 2021 18:05:13 +0100

zaqar (13.0.0-2) unstable; urgency=medium

  * Do not pkgos_write_new_conf ${PROJECT_NAME} policy.json (Closes: #986182).

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Dec 2021 15:55:16 +0100

zaqar (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 22:07:36 +0200

zaqar (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading go unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 15:48:30 +0200

zaqar (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed min version of python3-falcon >= 3.0.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Sep 2021 12:07:34 +0200

zaqar (12.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 14:47:28 +0200

zaqar (12.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 17:55:47 +0200

zaqar (12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.
  * Fixed generation of zaqar.conf namespace list.
  * Now using a yaml policy file in /etc/zaqar/policy.d.
  * Removed skip-py38-failure.patch.
  * Blacklist:
    - SqlalchemyPoolsTest.test_create_replaces_on_duplicate_insert
    - SqlalchemyPoolsTest.test_create_succeeds


 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Mar 2021 17:03:10 +0200

=== debian/control ===
Source: zaqar
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-autobahn (>= 22.3.2),
 python3-babel,
 python3-coverage,
 python3-cryptography,
 python3-ddt,
 python3-falcon (>= 3.0.0),
 python3-fixtures,
 python3-futurist,
 python3-hacking,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-memcache,
 python3-msgpack,
 python3-openstackdocstheme,
 python3-oslo.cache,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-pygments,
 python3-pymongo,
 python3-pymysql,
 python3-redis,
 python3-requests,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-swiftclient,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-websocket,
 subunit,
 tempest,
Standards-Version: 4.4.1
Rules-Requires-Root: binary-targets
Vcs-Browser: https://salsa.debian.org/openstack-team/services/zaqar
Vcs-Git: https://salsa.debian.org/openstack-team/services/zaqar.git
Homepage: https://github.com/openstack/zaqar/

Package: python3-zaqar
Section: python
Architecture: all
Depends:
 alembic,
 python3-autobahn (>= 22.3.2),
 python3-babel,
 python3-cryptography,
 python3-falcon (>= 3.0.0),
 python3-futurist,
 python3-iso8601,
 python3-jsonschema,
 python3-keystonemiddleware,
 python3-memcache,
 python3-msgpack,
 python3-oslo.cache,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-osprofiler,
 python3-pbr,
 python3-pymongo,
 python3-requests,
 python3-sqlalchemy,
 python3-stevedore,
 python3-swiftclient,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-zaqar,
Description: OpenStack Queueing as a Service - Python libraries
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains the Python libraries that are part of Zaqar.

Package: zaqar-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-zaqar (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Queueing as a Service - common files
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Zaqar.

Package: zaqar-server
Architecture: all
Depends:
 adduser,
 debconf,
 python3-keystoneclient,
 q-text-as-data,
 zaqar-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Queueing as a Service - API server
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains the API server on which clients will connect.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build \
		debian/zaqar-common.postinst \
		debian/zaqar-common.config \
		debian/zaqar-server.postinst \
		debian/zaqar-server.config \
		debian/*.service debian/*.init debian/*.upstart
	rm -rf debian/*.templates debian/po

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func zaqar-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func zaqar-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func zaqar-server.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func zaqar-server.postinst
	pkgos-merge-templates zaqar-server zaqar endpoint
	pkgos-merge-templates zaqar-common zaqar rabbit ksat

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	export ZAQAR_TESTS_CONFIGS_DIR=$(CURDIR)/zaqar/tests/etc ; pkgos-dh_auto_test --no-py2 'zaqar\.tests\.unit.(?!(.*transport\.websocket.*|.*transport\.wsgi.*|.*test_bootstrap\.TestBootstrap.*|.*storage\.test_impl_sqlalchemy\.SqlalchemyPoolsTest\.test_create_succeeds.*|.*storage\.test_impl_sqlalchemy\.SqlalchemyPoolsTest\.test_create_replaces_on_duplicate_insert.*))'
endif

	mkdir -p $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/zaqar.conf \
		--wrap-width 140 \
		--namespace zaqar \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.cache \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace osprofiler \
		--namespace oslo.policy \
		--namespace oslo.reports

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/zaqar.conf keystone_authtoken zaqar

	mkdir -p $(CURDIR)/debian/zaqar-common/etc/zaqar/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/zaqar-common/etc/zaqar/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace zaqar

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/zaqar.conf oslo_policy policy_dirs /etc/zaqar/policy.d


	dh_install
	dh_missing --fail-missing

	for i in zaqar-benchmark.conf logging.conf ; do \
		cp etc/$$i.sample $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/$$i ; \
	done
	cp etc/zaqar-benchmark-messages.json $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/zaqar/tags .*/(\d[\d\.rcb]+)\.tar\.gz

## zaqar 16.0.0

=== requirements.txt ===
--- 
+++ 
@@ -16,17 +16,17 @@
 WebOb>=1.7.1 # MIT
 stevedore>=3.2.2 # Apache-2.0
 oslo.cache>=1.26.0 # Apache-2.0
-oslo.config>=6.8.0 # Apache-2.0
+oslo.config>=8.3.2 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
-oslo.db>=8.4.0 # Apache-2.0
+oslo.db>=11.0.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
-oslo.log>=3.36.0 # Apache-2.0
-oslo.messaging>=5.29.0 # Apache-2.0
-oslo.reports>=1.18.0 # Apache-2.0
-oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
+oslo.log>=4.6.1 # Apache-2.0
+oslo.messaging>=12.5.0 # Apache-2.0
+oslo.reports>=2.2.0 # Apache-2.0
+oslo.serialization>=4.2.0 # Apache-2.0
 oslo.upgradecheck>=1.3.0 # Apache-2.0
-oslo.utils>=3.33.0 # Apache-2.0
-oslo.policy>=3.6.0 # Apache-2.0
+oslo.utils>=4.12.1 # Apache-2.0
+oslo.policy>=3.8.1 # Apache-2.0
 osprofiler>=1.4.0 # Apache-2.0
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.3.19 # MIT
 autobahn>=22.3.2 # MIT License

=== debian/changelog ===
zaqar (16.0.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 24 Mar 2023 01:19:56 +0000

zaqar (16.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 15:30:54 -0400

zaqar (16.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Feb 2023 17:48:42 -0500

zaqar (15.0.0+git2023011011.2fbc7937-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 11:19:57 -0500

zaqar (15.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 15.x series and fix tarball path.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 16:28:02 -0400

zaqar (14.0.0+git2022071416.cdf45da5-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 16:52:39 -0400

zaqar (14.0.0+git2022060612.cdc259ac-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update standards version to 4.6.1.
  * d/p/skip-py38-failure.patch: Refreshed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2022 12:07:13 -0400

=== debian/control ===
--- 
+++ 
@@ -1,113 +1,117 @@
 Source: zaqar
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 119ubuntu1~),
  po-debconf,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  alembic,
+ python3-alembic (>= 0.9.6),
  python3-autobahn (>= 22.3.2),
- python3-babel,
- python3-coverage,
- python3-cryptography,
- python3-ddt,
+ python3-babel (>= 2.3.4),
+ python3-coverage (>= 4.0),
+ python3-cryptography (>= 2.7),
+ python3-ddt (>= 1.0.1),
  python3-falcon (>= 3.0.0),
- python3-fixtures,
- python3-futurist,
+ python3-fixtures (>= 3.0.0),
+ python3-futurist (>= 1.2.0),
  python3-hacking,
- python3-iso8601,
- python3-jsonschema,
+ python3-iso8601 (>= 0.1.11),
+ python3-jsonschema (>= 3.2.0),
  python3-keystoneclient,
- python3-keystonemiddleware,
- python3-memcache,
- python3-msgpack,
- python3-openstackdocstheme,
- python3-oslo.cache,
- python3-oslo.config,
- python3-oslo.context,
- python3-oslo.db,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.messaging,
- python3-oslo.policy (>= 3.6.0),
- python3-oslo.reports,
- python3-oslo.serialization,
+ python3-keystonemiddleware (>= 9.1.0),
+ python3-memcache (>= 1.56),
+ python3-mock (>= 2.0.0),
+ python3-msgpack (>= 1.0.0),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-os-api-ref (>= 1.4.0),
+ python3-oslo.cache (>= 1.26.0),
+ python3-oslo.config (>= 1:8.3.2),
+ python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.db (>= 11.0.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 4.6.1),
+ python3-oslo.messaging (>= 12.5.0),
+ python3-oslo.policy (>= 3.8.1),
+ python3-oslo.reports (>= 2.2.0),
+ python3-oslo.serialization (>= 4.2.0),
  python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslo.utils,
- python3-oslotest,
- python3-osprofiler,
- python3-pygments,
- python3-pymongo,
- python3-pymysql,
- python3-redis,
- python3-requests,
- python3-sphinxcontrib.apidoc,
- python3-sqlalchemy,
- python3-stestr,
- python3-stevedore,
- python3-swiftclient,
- python3-testresources,
- python3-testscenarios,
- python3-testtools,
- python3-webob,
- python3-websocket,
+ python3-oslo.utils (>= 4.12.1),
+ python3-oslotest (>= 1:3.2.0),
+ python3-osprofiler (>= 1.4.0),
+ python3-pygments (>= 2.2.0),
+ python3-pymongo (>= 3.6.0),
+ python3-pymysql (>= 0.8.0),
+ python3-redis (>= 3.0.0),
+ python3-requests (>= 2.25.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-sqlalchemy (>= 1.3.19),
+ python3-stestr (>= 2.0.0),
+ python3-stevedore (>= 1:3.2.2),
+ python3-swiftclient (>= 1:3.10.1),
+ python3-testresources (>= 2.0.0),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
+ python3-webob (>= 1:1.7.1),
+ python3-websocket (>= 0.44.0),
  subunit,
  tempest,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: binary-targets
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/zaqar
-Vcs-Git: https://salsa.debian.org/openstack-team/services/zaqar.git
-Homepage: https://github.com/openstack/zaqar/
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/zaqar
+Homepage: https://opendev.org/openstack/zaqar/
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-zaqar
 Section: python
 Architecture: all
 Depends:
  alembic,
+ python3-alembic (>= 0.9.6),
  python3-autobahn (>= 22.3.2),
- python3-babel,
- python3-cryptography,
+ python3-babel (>= 2.3.4),
+ python3-cryptography (>= 2.7),
  python3-falcon (>= 3.0.0),
- python3-futurist,
- python3-iso8601,
- python3-jsonschema,
- python3-keystonemiddleware,
- python3-memcache,
- python3-msgpack,
- python3-oslo.cache,
- python3-oslo.config,
- python3-oslo.context,
- python3-oslo.db,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.messaging,
- python3-oslo.policy (>= 3.6.0),
- python3-oslo.reports,
- python3-oslo.serialization,
+ python3-futurist (>= 1.2.0),
+ python3-iso8601 (>= 0.1.11),
+ python3-jsonschema (>= 3.2.0),
+ python3-keystoneclient,
+ python3-keystonemiddleware (>= 9.1.0),
+ python3-memcache (>= 1.56),
+ python3-msgpack (>= 1.0.0),
+ python3-oslo.cache (>= 1.26.0),
+ python3-oslo.config (>= 1:8.3.2),
+ python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.db (>= 11.0.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 4.6.1),
+ python3-oslo.messaging (>= 12.5.0),
+ python3-oslo.policy (>= 3.8.1),
+ python3-oslo.reports (>= 2.2.0),
+ python3-oslo.serialization (>= 4.2.0),
  python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslo.utils,
- python3-osprofiler,
- python3-pbr,
+ python3-oslo.utils (>= 4.12.1),
+ python3-osprofiler (>= 1.4.0),
+ python3-pbr (>= 2.0.0),
  python3-pymongo,
- python3-requests,
- python3-sqlalchemy,
- python3-stevedore,
- python3-swiftclient,
- python3-webob,
+ python3-requests (>= 2.25.0),
+ python3-sqlalchemy (>= 1.3.19),
+ python3-stevedore (>= 1:3.2.2),
+ python3-swiftclient (>= 1:3.10.1),
+ python3-webob (>= 1:1.7.1),
  ${misc:Depends},
  ${python3:Depends},
-Conflicts:
- python-zaqar,
 Description: OpenStack Queueing as a Service - Python libraries
  Zaqar is a multi-tenant cloud messaging service for web developers. It
  combines the ideas pioneered by Amazon's SQS product with additional semantics
@@ -134,9 +138,6 @@
  python3-zaqar (= ${binary:Version}),
  sqlite3,
  ${misc:Depends},
- ${python3:Depends},
-Provides:
- ${python3:Provides},
 Description: OpenStack Queueing as a Service - common files
  Zaqar is a multi-tenant cloud messaging service for web developers. It
  combines the ideas pioneered by Amazon's SQS product with additional semantics
@@ -160,12 +161,10 @@
 Depends:
  adduser,
  debconf,
- python3-keystoneclient,
  q-text-as-data,
  zaqar-common (= ${binary:Version}),
  ${misc:Depends},
  ${ostack-lsb-base},
- ${python3:Depends},
 Description: OpenStack Queueing as a Service - API server
  Zaqar is a multi-tenant cloud messaging service for web developers. It
  combines the ideas pioneered by Amazon's SQS product with additional semantics

## zaqar 17.0.0

=== requirements.txt ===
--- 
+++ 
@@ -16,6 +16,7 @@
 WebOb>=1.7.1 # MIT
 stevedore>=3.2.2 # Apache-2.0
 oslo.cache>=1.26.0 # Apache-2.0
+oslo.concurrency>=5.0.1 # Apache-2.0
 oslo.config>=8.3.2 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
 oslo.db>=11.0.0 # Apache-2.0

=== debian/changelog ===
zaqar (17.0.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 16:23:39 +0000

zaqar (17.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.
  * d/p/switch-to-test-fixtures.patch: Cherry-picked from upstream
    to fix failing test (LP: #2038473).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:31:41 -0400

zaqar (16.0.0+git2023090714.3c1627db-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:52:31 -0400

=== debian/control ===
--- 
+++ 
@@ -37,6 +37,7 @@
  python3-openstackdocstheme (>= 2.2.1),
  python3-os-api-ref (>= 1.4.0),
  python3-oslo.cache (>= 1.26.0),
+ python3-oslo.concurrency (>= 5.0.1),
  python3-oslo.config (>= 1:8.3.2),
  python3-oslo.context (>= 1:2.19.2),
  python3-oslo.db (>= 11.0.0),
@@ -91,6 +92,7 @@
  python3-memcache (>= 1.56),
  python3-msgpack (>= 1.0.0),
  python3-oslo.cache (>= 1.26.0),
+ python3-oslo.concurrency (>= 5.0.1),
  python3-oslo.config (>= 1:8.3.2),
  python3-oslo.context (>= 1:2.19.2),
  python3-oslo.db (>= 11.0.0),

## zaqar 18.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,3 @@
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
 alembic>=0.9.6 # MIT
@@ -11,7 +8,6 @@
 iso8601>=0.1.11 # MIT
 keystonemiddleware>=9.1.0 # Apache-2.0
 msgpack>=1.0.0 # Apache-2.0
-python-memcached>=1.56 # PSF
 python-swiftclient>=3.10.1 # Apache-2.0
 WebOb>=1.7.1 # MIT
 stevedore>=3.2.2 # Apache-2.0

=== debian/changelog ===
zaqar (18.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 15:38:04 +0100

zaqar (18.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 11:14:48 +0000

zaqar (17.0.0+git2024020808.2c859275-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.
  * d/control: Drop memcache from (Build-)Depends.
  * d/p/switch-to-test-fixtures.patch: Drop, included upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 08 Feb 2024 13:15:43 +0000

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,6 @@
  python3-jsonschema (>= 3.2.0),
  python3-keystoneclient,
  python3-keystonemiddleware (>= 9.1.0),
- python3-memcache (>= 1.56),
  python3-mock (>= 2.0.0),
  python3-msgpack (>= 1.0.0),
  python3-openstackdocstheme (>= 2.2.1),
@@ -89,7 +88,6 @@
  python3-jsonschema (>= 3.2.0),
  python3-keystoneclient,
  python3-keystonemiddleware (>= 9.1.0),
- python3-memcache (>= 1.56),
  python3-msgpack (>= 1.0.0),
  python3-oslo.cache (>= 1.26.0),
  python3-oslo.concurrency (>= 5.0.1),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/zaqar/ zaqar-(\d.*)\.tar\.gz

## zaqar 19.0.0

=== debian/changelog ===
zaqar (19.0.0-4) unstable; urgency=medium

  * d/watch uses mode=git, and fixed mangling.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jan 2025 10:54:57 +0100

zaqar (19.0.0-3) unstable; urgency=medium

  * Removed -O--buildsystem=python_distutils from d/rules.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 10:45:58 +0100

zaqar (19.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090712).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 12:27:11 +0100

zaqar (19.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 16:34:40 +0200

zaqar (19.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 17:32:51 +0200

zaqar (19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2024 11:24:09 +0200

zaqar (18.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Apr 2024 09:57:23 +0200

zaqar (18.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-memcache from (build-)depends.
  * Removed Switch_to_MySQLOpportunisticFixture_from_test_fixtures.patch
    applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 14:44:06 +0100

zaqar (17.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Add Switch_to_MySQLOpportunisticFixture_from_test_fixtures.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 11:27:47 +0200

zaqar (17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Sep 2023 10:24:51 +0200

zaqar (16.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047384).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 11:57:12 +0200

zaqar (16.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Removed lsb-base obsolete depends.
  * Removed useless --with systemd.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 15:02:01 +0200

zaqar (16.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 14:54:28 +0100

zaqar (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed version from (build-)depends when satisfied in Bookworm.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Mar 2023 16:54:41 +0100

=== debian/control ===
Source: zaqar
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-autobahn,
 python3-babel,
 python3-coverage,
 python3-cryptography,
 python3-ddt,
 python3-falcon,
 python3-fixtures,
 python3-futurist,
 python3-hacking,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-msgpack,
 python3-openstackdocstheme,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-pygments,
 python3-pymongo,
 python3-pymysql,
 python3-redis,
 python3-requests,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-swiftclient,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-websocket,
 subunit,
 tempest,
Standards-Version: 4.4.1
Rules-Requires-Root: binary-targets
Vcs-Browser: https://salsa.debian.org/openstack-team/services/zaqar
Vcs-Git: https://salsa.debian.org/openstack-team/services/zaqar.git
Homepage: https://github.com/openstack/zaqar/

Package: python3-zaqar
Section: python
Architecture: all
Depends:
 alembic,
 python3-autobahn,
 python3-babel,
 python3-cryptography,
 python3-falcon,
 python3-futurist,
 python3-iso8601,
 python3-jsonschema,
 python3-keystonemiddleware,
 python3-msgpack,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-osprofiler,
 python3-pbr,
 python3-pymongo,
 python3-requests,
 python3-sqlalchemy,
 python3-stevedore,
 python3-swiftclient,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-zaqar,
Description: OpenStack Queueing as a Service - Python libraries
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains the Python libraries that are part of Zaqar.

Package: zaqar-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-zaqar (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Queueing as a Service - common files
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Zaqar.

Package: zaqar-server
Architecture: all
Depends:
 adduser,
 debconf,
 python3-keystoneclient,
 q-text-as-data,
 zaqar-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Queueing as a Service - API server
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains the API server on which clients will connect.
